# Headi

Headi (Headache Diary) is a privacy-friendly app to log your headaches.  
No data is transferred to any cloud services. All data is stored locally only.  
Headi also offers a simple analysis of the recorded data. You can also export your logs as a CSV file for further analysis of the data.
To save your records you can also export your whole diary, or just parts of it, as a PDF.

I do not have any commercial interests. The app was created for private use and is intended to be available to everyone.

## Install

You can download Headi from F-Droid Store or from the this [repository](https://github.com/MrReSc/Headi/releases).

The apk from the F-Droid store is signed by F-Droid and the one on GuitHub and Google Play is signed by me. There is no crossupdate possible because the apk's are signed differently.

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" height="75" alt="Get it on F-Droid">](https://f-droid.org/packages/com.headi.app/)

[<img alt='Get it on Google Play' src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png' height="75"/>](https://play.google.com/store/apps/details?id=com.headi.app)

## Contribute
Headi is an open source project. Your contributions are welcome. Below you will find some ways to help me:
- [x] I would like to publish the app on F-Droid. But I have no idea how that works.
- [ ] Headi still needs translations. You can help to translate Headi into your language. All you have to do is create an account at [Crowdin](https://crwd.in/headi) and translate the texts.
- [ ] Further analysis of the data in the app would be useful. If you have ideas, please share them. If you can code, you can implement them.
- [ ] There is still some potential to improve the design :smirk:
- [ ] If you are good at drawing, more beautiful pictures for the regions on the head would be very welcome.
- [x] An export function of the diary into a PDF that can be used for a visit to the doctor would also be a good function.
- [ ] No unit tests have been implemented yet either. If you like programming tests, I would be happy to receive them.
- [ ] With GitHub Actions you could implement CI/CD. That would also be great.

## Screenshots
<p align="left">
  <img alt="Light" src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.jpg" width="30%">
    &nbsp; &nbsp; &nbsp; &nbsp;
  <img alt="Dark" src="fastlane/metadata/android/en-US/images/phoneScreenshots/2.jpg" width="30%">
    &nbsp; &nbsp; &nbsp; &nbsp;
  <img alt="Dark" src="fastlane/metadata/android/en-US/images/phoneScreenshots/3.jpg" width="30%">
</p>

<p align="left">
  <img alt="Light" src="fastlane/metadata/android/en-US/images/phoneScreenshots/4.jpg" width="30%">
    &nbsp; &nbsp; &nbsp; &nbsp;
  <img alt="Dark" src="fastlane/metadata/android/en-US/images/phoneScreenshots/5.jpg" width="30%">
    &nbsp; &nbsp; &nbsp; &nbsp;
  <img alt="Dark" src="fastlane/metadata/android/en-US/images/phoneScreenshots/6.jpg" width="30%">
</p>

<p align="left">
  <img alt="Light" src="fastlane/metadata/android/en-US/images/phoneScreenshots/7.jpg" width="30%">
    &nbsp; &nbsp; &nbsp; &nbsp;
  <img alt="Dark" src="fastlane/metadata/android/en-US/images/phoneScreenshots/8.jpg" width="30%">
</p>

## License
~~~
MIT License

Copyright (c) 2021 MrReSc

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
~~~

## Credits
### Libraries
- [TimerX](https://github.com/arsvechkarev/TimerX) Apache-2.0 License
- [FingerPaintView](https://github.com/PicnicSupermarket/FingerPaintView) MIT
- [MPAndroidChart](https://github.com/PhilJay/MPAndroidChart) Apache-2.0 License
- [Android About Page](https://github.com/medyo/android-about-page) MIT

### Pictures and Icons
- [Donna by Clker-Free-Vector-Images](https://pixabay.com/de/vectors/frau-gesicht-donna-kopf-linie-29840/) ([Pixabay License](https://pixabay.com/de/service/license/))
- [Material Design Icons](https://materialdesignicons.com/) ([License](https://github.com/Templarian/MaterialDesign/blob/master/LICENSE))

### Translation
The initial translations were made by:
* Esperanto translation by @ScubyG
* Dutch translation by @tversteeg
* Spanish translation by @neurologia Z1
* Hebrew translation by @YaronSh
* French translation by @askthedust18
* Vietnamese translation by @bruhwut
* Italian translation by @JeLa
* Finnish translation by @JeLa
* Czech translation by @alonewalker

Thanks also to all the others who have made corrections and additions.
